<div id="page-wrap">
  <div *ngIf="questions.length < 5; else elseBlock">
    <h1>Không có bài thi</h1>
  </div>
  <ng-template #elseBlock>
    <h1>Bài thi {{ questions[0].subject.name }}</h1>
    <h1>{{ minutes }} : {{ seconds }}</h1>
    <form (ngSubmit)="addDiem(form)" #form="ngForm">
      <ol>
        <li *ngFor="let question of questions; index as i">
          <h3>{{ question.question }}</h3>
          <div
            *ngIf="question.answers1 != ''"
            class="answers {{ favoriteSeason[i] == 1 ? 'checker' : '' }}"
          >
            <input
              type="radio"
              ngModel
              name="{{ question.id }}"
              id="{{ question.id }}-1"
              value="1"
              [hidden]="true"
              [(ngModel)]="favoriteSeason[i]"
            />
            <label for="{{ question.id }}-1">A) {{ question.answers1 }}</label>
          </div>

          <div
            *ngIf="question.answers2 != ''"
            class="answers {{ favoriteSeason[i] == 2 ? 'checker' : '' }}"
          >
            <input
              type="radio"
              ngModel
              name="{{ question.id }}"
              id="{{ question.id }}-2"
              value="2"
              [hidden]="true"
              [(ngModel)]="favoriteSeason[i]"
            />
            <label for="{{ question.id }}-2">B) {{ question.answers2 }}</label>
          </div>

          <div
            *ngIf="question.answers3 != ''"
            class="answers {{ favoriteSeason[i] == 3 ? 'checker' : '' }}"
          >
            <input
              type="radio"
              ngModel
              name="{{ question.id }}"
              id="{{ question.id }}-3"
              value="3"
              [hidden]="true"
              [(ngModel)]="favoriteSeason[i]"
            />
            <label for="{{ question.id }}-3">C) {{ question.answers3 }}</label>
          </div>

          <div
            *ngIf="question.answers4 != ''"
            class="answers {{ favoriteSeason[i] == 4 ? 'checker' : '' }}"
          >
            <input
              type="radio"
              ngModel
              name="{{ question.id }}"
              id="{{ question.id }}-4"
              value="4"
              [hidden]="true"
              [(ngModel)]="favoriteSeason[i]"
            />
            <label for="{{ question.id }}-4">D) {{ question.answers4 }}</label>
          </div>
        </li>
      </ol>
      <button mat-raised-button color="primary" type="submit">Nạp bài</button>
    </form>
  </ng-template>
</div>
